package identity_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type IdentityAuthStatusRequest struct {
	// <ext>core:false;deprecated:true</ext> 【用户唯一标识】用户唯一标识 【作用】 用户唯一标识，与 authId 二选一，不可同时为空 【传参方式】 字符串
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【核验唯一标识】核验唯一标识
	AuthId string `json:"authId"`
	// <ext>core:false;deprecated:true</ext> 【身份核验方式】身份核验方式 【作用】 身份核验方式标识 【传参方式】 字符串 【特殊说明】 此处参数值固定为Authorization
	Type_ string `json:"type,omitempty"`
}

func (obj IdentityAuthStatusRequest) GetUrl() string {
	return "/identity/auth/status"
}

func (obj IdentityAuthStatusRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
